ModelerSource (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.modeler.modules.ModelerSource class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.modeler.modules
Class ModelerSource

    java.lang.Object
      org.apache.tomcat.util.modeler.modules.ModelerSource

Direct Known Subclasses:
  MbeansDescriptorsDigesterSource, MbeansDescriptorsDOMSource, MbeansDescriptorsIntrospectionSource, MbeansDescriptorsSerSource, MbeansSource

    public class ModelerSource

extends java.lang.Object

Source for descriptor data. More sources can be added.

Field Summary
`protected java.lang.String` | `location`
`protected java.lang.Object` | `source`

Constructor Summary
`ModelerSource()`

Method Summary
`protected java.io.InputStream` | `getInputStream()`
`java.util.List` | `loadDescriptors(Registry registry, java.lang.String location, java.lang.String type, java.lang.Object source)` Load data, returns a list of items.
`void` | `store()`
`void` | `updateField(javax.management.ObjectName oname, java.lang.String name, java.lang.Object value)` Callback from the BaseMBean to notify that an attribute has changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected java.lang.Object source

### location

    protected java.lang.String location

Constructor Detail

### ModelerSource

    public ModelerSource()

Method Detail

### loadDescriptors

    public java.util.List loadDescriptors(Registry registry,
                                          java.lang.String location,
                                          java.lang.String type,
                                          java.lang.Object source)
                                   throws java.lang.Exception

  Load data, returns a list of items.

  Parameters:
    `registry` -
    `location` -
    `type` -
    `source` - Introspected object or some other source
  Throws:
    `java.lang.Exception`

### updateField

    public void updateField(javax.management.ObjectName oname,
                            java.lang.String name,
                            java.lang.Object value)

  Callback from the BaseMBean to notify that an attribute has changed. Can be used to implement persistence.

  Parameters:
    `oname` -
    `name` -
    `value` -

### store

    public void store()

### getInputStream

    protected java.io.InputStream getInputStream()
                                          throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.